#include "ui_helpers.h"

QueueHandle_t     g_ui_standby_queue;

void ui_standby_task(void *pvParameters);

int ui_setup(void) {
    g_ui_standby_queue = xQueueCreate(2, sizeof(ui_standby_queue_t));
    if(g_ui_standby_queue == NULL) {
        return -1;
    }

    if(xTaskCreate(ui_standby_task, "U_STBY", 256, NULL, 33, NULL) != pdPASS) {
        return -2;
    }

    return 0;
}